import 'package:circle_progress/circle_progress.dart';
import 'package:flutter/material.dart';

/// 本组件的测试类  -------------使用--TestStateful()--------------
class TestStateful extends StatefulWidget {
  @override
  _TestStatefulState createState() => _TestStatefulState();
}

class _TestStatefulState extends State<TestStateful> with SingleTickerProviderStateMixin{
  AnimationController controller;
  Animation<double> animation;
  double value;
  @override
  void initState() {
    super.initState();
    controller = AnimationController(
      ////创建 Animation对象
        duration: Duration(milliseconds:8000), //时长
        vsync: this);
    var tween=Tween(begin: 0.0, end: 1.0);
    animation = tween.animate(controller)..addListener(() {
      setState(() {
      });
    });
    controller.forward();
  }

  @override
  Widget build(BuildContext context) {
    return CircleProgressWidget(progress:Progress(
        backgroundColor: Colors.grey,
        value: animation.value,
        radius: 60,
        completeText: "完成",
        color: Color(0xff46bcf6),
        strokeWidth: 2));
  }
}